import random

# init
tries = 1
rand = random.randint(1,20)
_ = int

while True:
    # versuche int zu bekommen, wenn string dann versuchen wirs neu!
    try:
        _ = int(input(f"{tries}: Geben Sie eine Zahl von 1 zwischen 20 ein: "))
    except ValueError:
        pass

    # versuche zu vergleichen. falls irgendeine exception ist dann break!
    try:
        if _ == rand:
            print(f"Spitze mit: {tries} Versuchen. Die Zahl war {rand}")
            break
    except Exception as e:
        print(f"Exception => {e}")
        break

    # inkrementiere versuchszähler!
    tries += 1